searchData={"items":[{"type":"module","title":"Ueberauth.Strategy.LinkedIn","doc":"LinkedIn Strategy for Überauth.","ref":"Ueberauth.Strategy.LinkedIn.html"},{"type":"function","title":"Ueberauth.Strategy.LinkedIn.credentials/1","doc":"Includes the credentials from the LinkedIn response.","ref":"Ueberauth.Strategy.LinkedIn.html#credentials/1"},{"type":"function","title":"Ueberauth.Strategy.LinkedIn.default_options/0","doc":"","ref":"Ueberauth.Strategy.LinkedIn.html#default_options/0"},{"type":"function","title":"Ueberauth.Strategy.LinkedIn.extra/1","doc":"Stores the raw information (including the token) obtained from the LinkedIn callback.","ref":"Ueberauth.Strategy.LinkedIn.html#extra/1"},{"type":"function","title":"Ueberauth.Strategy.LinkedIn.handle_cleanup!/1","doc":"Cleans up the private area of the connection used for passing the raw LinkedIn\nresponse around during the callback.","ref":"Ueberauth.Strategy.LinkedIn.html#handle_cleanup!/1"},{"type":"function","title":"Ueberauth.Strategy.LinkedIn.handle_request!/1","doc":"Handles initial request for LinkedIn authentication.","ref":"Ueberauth.Strategy.LinkedIn.html#handle_request!/1"},{"type":"function","title":"Ueberauth.Strategy.LinkedIn.info/1","doc":"Fetches the fields to populate the info section of `Ueberauth.Auth` struct.","ref":"Ueberauth.Strategy.LinkedIn.html#info/1"},{"type":"function","title":"Ueberauth.Strategy.LinkedIn.uid/1","doc":"Fetches the `:uid` field from the LinkedIn response.\n\nThis defaults to the option `:uid_field` which in-turn defaults to `:id`","ref":"Ueberauth.Strategy.LinkedIn.html#uid/1"},{"type":"module","title":"Ueberauth.Strategy.LinkedIn.OAuth","doc":"OAuth2 for LinkedIn.\n\nAdd `client_id` and `client_secret` to your configuration:\n\nconfig :ueberauth, Ueberauth.Strategy.LinkedIn.OAuth,\n  client_id: System.get_env(\"LINKEDIN_CLIENT_ID\"),\n  client_secret: System.get_env(\"LINKEDIN_CLIENT_SECRET\")","ref":"Ueberauth.Strategy.LinkedIn.OAuth.html"},{"type":"function","title":"Ueberauth.Strategy.LinkedIn.OAuth.authorize_url/2","doc":"","ref":"Ueberauth.Strategy.LinkedIn.OAuth.html#authorize_url/2"},{"type":"function","title":"Ueberauth.Strategy.LinkedIn.OAuth.authorize_url!/2","doc":"Provides the authorized url for the request phase of Ueberauth.\nNo need to call this usually.","ref":"Ueberauth.Strategy.LinkedIn.OAuth.html#authorize_url!/2"},{"type":"function","title":"Ueberauth.Strategy.LinkedIn.OAuth.client/1","doc":"Construct a client for requests to LinkedIn.\n\nThis will be setup automatically for you in `Ueberauth.Strategy.LinkedIn`.\n\nThese options are only useful for usage outside the normal callback phase of\nUeberauth.","ref":"Ueberauth.Strategy.LinkedIn.OAuth.html#client/1"},{"type":"function","title":"Ueberauth.Strategy.LinkedIn.OAuth.get/4","doc":"","ref":"Ueberauth.Strategy.LinkedIn.OAuth.html#get/4"},{"type":"function","title":"Ueberauth.Strategy.LinkedIn.OAuth.get_token/3","doc":"","ref":"Ueberauth.Strategy.LinkedIn.OAuth.html#get_token/3"},{"type":"function","title":"Ueberauth.Strategy.LinkedIn.OAuth.get_token!/2","doc":"","ref":"Ueberauth.Strategy.LinkedIn.OAuth.html#get_token!/2"},{"type":"extras","title":"Changelog","doc":"# Changelog","ref":"changelog.html"},{"type":"extras","title":"v0.10.8 - 2024-04-05 - Changelog","doc":"#","ref":"changelog.html#v0-10-8-2024-04-05"},{"type":"extras","title":"Enhancements - Changelog","doc":"- Fixed: redirect_uri not sent in callback phase if not configured explicitly","ref":"changelog.html#enhancements"},{"type":"extras","title":"v0.10.7 - 2024-02-02 - Changelog","doc":"#","ref":"changelog.html#v0-10-7-2024-02-02"},{"type":"extras","title":"Enhancements - Changelog","doc":"- Updated the package for compatibility with Elixir 1.15, addressing the need for modernization from the last update in 2016.\n- Add support for Ueberauth ~0.10","ref":"changelog.html#enhancements"},{"type":"extras","title":"Contributing","doc":"# Contributing","ref":"contributing.html"},{"type":"extras","title":"Pull Requests Welcome - Contributing","doc":"1. Fork ueberauth_linkedin\n2. Create a topic branch\n3. Make logically-grouped commits with clear commit messages\n4. Push commits to your fork\n5. Open a pull request against ueberauth_linkedin/master","ref":"contributing.html#pull-requests-welcome"},{"type":"extras","title":"Issues - Contributing","doc":"If you believe there to be a bug, please provide the maintainers with enough\ndetail to reproduce or a link to an app exhibiting unexpected behavior. For\nhelp, please start with Stack Overflow.","ref":"contributing.html#issues"},{"type":"extras","title":"Überauth LinkedIn","doc":"# Überauth LinkedIn\n\n[![License][license-img]][license]\n\n[license-img]: http://img.shields.io/badge/license-MIT-brightgreen.svg\n[license]: http://opensource.org/licenses/MIT\n\n> LinkedIn v2 OAuth2 strategy for Überauth.","ref":"readme.html"},{"type":"extras","title":"Installation - Überauth LinkedIn","doc":"1. Setup your application at [LinkedIn Developers](https://developer.linkedin.com/).\n\n1. Add `:ueberauth_linkedin` to your list of dependencies in `mix.exs`:\n\n    ```elixir\n    def deps do\n      [{:ueberauth_linkedin, \"~> 0.10.8\", hex: :ueberauth_linkedin_modern}]\n    end\n    ```\n\n1. Add LinkedIn to your Überauth configuration:\n\n    ```elixir\n    config :ueberauth, Ueberauth,\n      providers: [\n        linkedin: {Ueberauth.Strategy.LinkedIn, []}\n      ]\n    ```\n\n1.  Update your provider configuration:\n\n    ```elixir\n    config :ueberauth, Ueberauth.Strategy.LinkedIn.OAuth,\n      client_id: System.get_env(\"LINKEDIN_CLIENT_ID\"),\n      client_secret: System.get_env(\"LINKEDIN_CLIENT_SECRET\"),\n      redirect_uri: System.get_env(\"LINKEDIN_REDIRECT_URI\")\n    ```\n\n1.  Include the Überauth plug in your controller:\n\n    ```elixir\n    defmodule MyApp.AuthController do\n      use MyApp.Web, :controller\n      plug Ueberauth\n      ...\n    end\n    ```\n\n1.  Create the request and callback routes if you haven't already:\n\n    ```elixir\n    scope \"/auth\", MyApp do\n      pipe_through :browser\n\n      get \"/:provider\", AuthController, :request\n      get \"/:provider/callback\", AuthController, :callback\n      post \"/:provider/callback\", AuthController, :callback\n    end\n    ```\n\n1. Your controller needs to implement callbacks to deal with `Ueberauth.Auth` and `Ueberauth.Failure` responses.\n\nFor an example implementation see the [Überauth Example](https://github.com/ueberauth/ueberauth_example) application.","ref":"readme.html#installation"},{"type":"extras","title":"Calling - Überauth LinkedIn","doc":"Depending on the configured url you can initiate the request through:\n\n    /auth/linkedin?state=csrf_token_here\n\nOr with scope:\n\n    /auth/linkedin?state=csrf_token_here&scope=r_emailaddress\n\nBy default the requested scope is \"openid profile email\". Scope can be configured either explicitly as a `scope` query value on the request path or in your configuration:\n\n```elixir\nconfig :ueberauth, Ueberauth,\n  providers: [\n    linkedin: {Ueberauth.Strategy.LinkedIn, [default_scope: \"openid profile email\"]}\n  ]\n```","ref":"readme.html#calling"},{"type":"extras","title":"License - Überauth LinkedIn","doc":"Please see [LICENSE](https://github.com/utf26/ueberauth_linkedin/blob/main/LICENSE) for licensing details.","ref":"readme.html#license"}],"content_type":"text/markdown"}